Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.reflect
Interface Method

All Superinterfaces:
  Member, Signature

    public interface Method

extends Member, Signature

Field Summary
`static int` | `CONSTRUCTOR_MODIFIERS`
`static int` | `INTERFACE_MODIFIERS`
`static Method[]` | `METHOD_0`
`static int` | `MODIFIERS`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Method Summary
`int` | `getExceptionCount()`
`Type` | `getExceptionType(int index)`
`Annotation` | `getParameterAnnotation(int param, int index)`
`int` | `getParameterAnnotationCount(int param)`
`Type` | `getReturnType()`
`java.lang.Object` | `invoke(java.lang.Object instance, java.lang.Object[] arguments)`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Methods inherited from interface de.grogra.reflect.Signature
`getName, getParameterCount, getParameterType`

Field Detail

### CONSTRUCTOR_MODIFIERS

    static final int CONSTRUCTOR_MODIFIERS

See Also:
  Constant Field Values

### INTERFACE_MODIFIERS

    static final int INTERFACE_MODIFIERS

See Also:
  Constant Field Values

### METHOD_0

    static final Method[] METHOD_0

### MODIFIERS

    static final int MODIFIERS

See Also:
  Constant Field Values

Method Detail

### getExceptionCount

    int getExceptionCount()

### getExceptionType

    Type getExceptionType(int index)

### getParameterAnnotation

    Annotation getParameterAnnotation(int param,
                                      int index)

### getParameterAnnotationCount

    int getParameterAnnotationCount(int param)

### getReturnType

    Type getReturnType()

### invoke

    java.lang.Object invoke(java.lang.Object instance,
                            java.lang.Object[] arguments)
                            throws java.lang.reflect.InvocationTargetException,
                                   java.lang.IllegalAccessException

  Throws:
    `java.lang.reflect.InvocationTargetException`
    `java.lang.IllegalAccessException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD